Subject: Re: Win32s/mingw32
From: [email-masked] (Peter Dalgaard BSA)

23 Apr 1998 08:29:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: Text/plain; charset="US-ASCII"
Content-Transfer-Encoding: 7bit
To: Gunther Ebert <[email-masked]>, [email-masked]

Gunther Ebert <[email-masked]> writes:

> 
> Hi,
> 
> win32s doesn't support Win32 console programs. GUI programs that
> were built with the mingw32 compiler should work fine if they don't
> use anything that Win32s doesn't support (like multiple threads,
> console). Look into the Win32 API docs to see which Win32 functions
> are supported by Win32s and which are not.
> I don't believe that the mingw32 compiler produces a wrong exe format,
> the programs do even run under Windows95 :-)
> 
> Gunther

That's what I though, but:

#include <windows.h>
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
LPSTR lpCmdLine, int nCmdShow)
{
        MessageBox (NULL, "Hello Win32", "First App", MB_OK);
return 0;
}

compiles, links and runs under W32, but gives an Invalid Format +
"error 21" under win32s. Same thing compiled with RSXNT runs on both
platforms. What gives?

Hm. Has anyone tried this with a newer set of libraries/binutils than
mine (I used the linux crosscompiler from Werner Koch)?

Here's another clue: 

the RSXNT executable runs under WINE on Linux, but the mingw32 one
dies with

No handler for Win32 routine CRTDLL.107: _fpreset (called from 00401055)

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - ([email-masked])             FAX: (+45) 35327907

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".